Charmed PostgreSQL K8s

Channel Revision Published Runs on
latest/stable 20 20 Sep 2022
Ubuntu 20.04
14/stable 193 13 Mar 2024
Ubuntu 22.04
14/candidate 248 04 May 2024
Ubuntu 22.04
14/beta 248 04 May 2024
Ubuntu 22.04
14/edge 253 Today
Ubuntu 22.04
juju deploy postgresql-k8s --channel 14/stable
Show information

Platform:

Juju version

The charm supports both Juju 2.9 LTS and Juju 3.1.

Note: Juju 3.1 is supported from the charm revision 116+ only.

The minimum supported Juju versions are:

  • 2.9.32+ (no tests made for older versions).
  • 3.1.7+ (Juju secrets refactored/stabilized in Juju 3.1.7)

Kubernetes requirements

  • Kubernetes 1.27+
  • Canonical MicroK8s 1.27+ (snap channel 1.27-strict/stable and newer)

Minimum requirements

Make sure your machine meets the following requirements:

  • Ubuntu 22.04 (Jammy) or later.
  • 8GB of RAM.
  • 2 CPU threads.
  • At least 20GB of available storage.
  • Access to the internet for downloading the required OCI/ROCKs and charms.

Supported architectures

The charm is based on the charmed-postgresql snap. It currently supports:

  • amd64
  • arm64 (from revision 211+)

The charm is based on the ROCK OCI named charmed-postgresql.

Contact us if you are interested in new architecture!